import { Button } from "@mui/material";

export const LeaveAgree = ({ blocker }: { blocker: any }) => {
  return (
    <div className="fixed  top-0 left-0 w-screen h-screen  flex justify-center items-center z-10000 bg-black/30">
      <div className="bg-white p-4 w-100 rounded-lg flex flex-col gap-4 items-center">
        <p className="text-black w-100 text-center">
          При выходе со страницы, несохраненные данные будут потеряны.
        </p>
        <div className="flex gap-4 justify-center">
          <Button variant="contained" onClick={() => blocker.proceed()}>
            Да
          </Button>
          <Button variant="outlined" onClick={() => blocker.reset()}>
            Нет
          </Button>
        </div>
      </div>
    </div>
  );
};
