import { makeAutoObservable } from "mobx";
import { Language } from "../SightsStore";

class LanguageStore {
  language: Language = "ru";

  constructor() {
    makeAutoObservable(this);
  }

  setLanguage = (language: Language) => {
    this.language = language;
  };
}

export const languageStore = new LanguageStore();
